#### D.14.1.30 arrDer

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrDer(A); arr A , multarr A

Return:
  [module] The module Der(A) of derivations of the (multi-)arrangement A, i.e. the derivations tangent to each hyperplane of A (resp. with multiplicities)

Note:
  This is only defined for central (multi-)arrangements

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    arr A3 = arrBoolean(3);
    arr B3 = arrTypeB(3);
    arr G = ideal(x,y,z,x+y+z);
    //The derivation module of the Boolean 3-arrangement:
    arrDer(A3);
    ==> _[1]=z*gen(3)
    ==> _[2]=y*gen(2)
    ==> _[3]=x*gen(1)
    //The derivation module of the Braid 3-arrangement:
    arrDer(B3);
    ==> _[1]=x*gen(1)+y*gen(2)+z*gen(3)
    ==> _[2]=x2y*gen(2)-y3*gen(2)+x2z*gen(3)-z3*gen(3)
    ==> _[3]=x2y2z*gen(3)-x2z3*gen(3)-y2z3*gen(3)+z5*gen(3)
    //The derivation module of the generic arrangement:
    arrDer(G);
    ==> _[1]=x*gen(1)+y*gen(2)+z*gen(3)
    ==> _[2]=yz*gen(3)-yz*gen(2)
    ==> _[3]=xz*gen(3)+yz*gen(2)+z2*gen(3)
    ==> _[4]=xy*gen(2)+y2*gen(2)+yz*gen(2)

See also: arrDer; arrExponents; arrIsFree.

User manual for Singular version 4.4.1, 2025, generated by texi2html.